<script setup lang="ts">
import AppContainer from "@/components/AppContainer.vue";
import PageHeader from "@/components/PageHeader.vue";
import breakpoints from "@/scripts/breakpoints";

function avatarClicked() {
  console.log("Avatar clicked");
}
</script>

<template>
  <AppContainer>
    <template v-slot:header>
      <PageHeader
        title="Bienvenue sur votre profil Whiskey"
        description="Ici vous pouvez définir le nom que vous souhaitez utiliser et indiquer les informations personnelles supplémentaires utilisées par certains de nos services (logisitique, comtabilité, etc.)"
      />
    </template>
    <div class="sm:px-5 mt-3 md:mt-15 w-full flex flex-col md:flex-row">
      <div
        class="flex-grow overflow-hidden bg-theme-background-accent shadow rounded-lg md:mr-2 mb-2 md:mb-0"
      >
        <div class="m-4 flex flex-col md:flex-row justify-between">
          <h3 class="text-zinc-900 text-xl">Compte AGEPoly</h3>
          <div class="flex flex-col justify-center">
            <p class="text-2xs md:text-xs">
              UUID: 51e0e46b-c875-4c9c-8e34-2579ca4ded3a
            </p>
          </div>
        </div>

        <div class="flex m-4">
          <div class="m-2 flex flex-col justify-center">
            <v-tooltip text="Cliquer pour changer" location="bottom">
              <template v-slot:activator="{ props }">
                <v-avatar
                  color="surface-variant"
                  :size="breakpoints.lg ? 120 : 60"
                  v-bind="props && breakpoints.md"
                  @click="avatarClicked"
                  class="cursor-pointer hover:opacity-80"
                >
                  <span class="text-2xl lg:text-6xl">SN</span>
                  <!-- <v-img src="@/assets/Pierre_Dillenbourg_19-1-916x1024.jpg" /> -->
                </v-avatar>
              </template>
            </v-tooltip>
          </div>

          <dl class="flex-grow flex flex-col justify-center">
            <div class="px-4 py-2 lg:grid lg:grid-cols-3 lg:gap-4 lg:px-6">
              <dt class="text-sm font-medium text-gray-500">
                <label
                  class="block mb-2 text-sm font-medium text-gray-600 dark:text-gray-200"
                  for="field-username"
                >
                  Nom d'utilisateur :
                </label>
              </dt>
              <dd class="mt-1 text-sm lg:col-span-2 lg:mt-0">
                <input
                  id="field-username"
                  class="block w-full px-4 py-2 bg-zinc-100 rounded"
                  type="text"
                  value="snerisson"
                  disabled
                />
              </dd>
            </div>
            <div class="px-4 py-2 lg:grid lg:grid-cols-3 lg:gap-4 lg:px-6">
              <dt class="text-sm font-medium text-gray-500">
                <label
                  class="block mb-2 text-sm font-medium text-gray-600 dark:text-gray-200"
                  for="login-id"
                >
                  Nom d'usage :
                </label>
              </dt>
              <dd class="col-span-2">
                <input
                  id="login-id"
                  class="block w-full px-4 py-2 bg-zinc-100 rounded border"
                  type="text"
                  placeholder="Sylvain Thomas Nérisson"
                />
              </dd>
            </div>
          </dl>
        </div>

        <dl>
          <div class="px-4 py-2 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
            <dt class="text-sm font-medium text-gray-500">
              <label
                class="block mb-2 text-sm font-medium text-gray-600 dark:text-gray-200"
              >
                Compte Telegram :
              </label>
            </dt>
            <dd class="col-span-2">
              <v-btn variant="text" append-icon="mdi-check">@loggerz</v-btn>
            </dd>
          </div>
          <div class="px-4 py-2 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
            <dt class="text-sm font-medium text-gray-500">
              <label
                class="block mb-2 text-sm font-medium text-gray-600 dark:text-gray-200"
                for="field-email"
              >
                Email privé :
              </label>
            </dt>
            <dd class="col-span-2">
              <input
                id="field-email"
                class="block w-full px-4 py-2 bg-zinc-100 rounded border"
                type="email"
                placeholder="facultatif"
              />
            </dd>
          </div>
        </dl>
      </div>

      <div class="">
        <div
          class="flex flex-col bg-theme-background-accent shadow rounded-lg mb-2"
        >
          <h3 class="m-4 text-zinc-900 text-xl">Données EPFL</h3>

          <dl>
            <div class="px-4 py-2 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
              <dt class="text-sm font-medium text-gray-500">SCIPER</dt>
              <dd class="mt-1 text-sm sm:col-span-2 sm:mt-0">324428</dd>
            </div>
            <div class="px-4 py-2 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
              <dt class="text-sm font-medium text-gray-500">Nom</dt>
              <dd class="mt-1 text-sm sm:col-span-2 sm:mt-0">Nérisson</dd>
            </div>
            <div class="px-4 py-2 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
              <dt class="text-sm font-medium text-gray-500">Prénom</dt>
              <dd class="mt-1 text-sm sm:col-span-2 sm:mt-0">Sylvain Thomas</dd>
            </div>
            <div class="px-4 py-2 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
              <dt class="text-sm font-medium text-gray-500">Email EPFL:</dt>
              <dd class="mt-1 text-sm sm:col-span-2 sm:mt-0">
                sylvain.nerisson@epfl.ch
              </dd>
            </div>
          </dl>
        </div>

        <v-btn block>Profil People</v-btn>
      </div>
    </div>
  </AppContainer>
</template>
